﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace ExampleOfAjaxWithjQuery
{
  // Примечание: Инструкции по включению классического режима IIS6 или IIS7 
  // см. по ссылке http://go.microsoft.com/?LinkId=9394801

  public class MvcApplication : System.Web.HttpApplication
  {
    public static void RegisterRoutes(RouteCollection routes)
    {
      routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

      routes.MapRoute(
          "ASP",
          "{action}.aspx",
          new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Параметры по умолчанию
      );

      routes.MapRoute(
          "Default", // Имя маршрута
          "{action}", // URL-адрес с параметрами
          new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Параметры по умолчанию
      );

    }

    protected void Application_Start()
    {
      AreaRegistration.RegisterAllAreas();

      RegisterRoutes(RouteTable.Routes);
    }
  }
}