﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Main.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Визуализация процесса загрузки файла - Kbyte.Ru
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
  <form id="uploadForm" method="post" action="/FileUploadWithProgress.aspx" enctype="multipart/form-data" target="uploadFrame">
    <input type="file" name="file1" />
    <input type="submit" value="Отправить" />
  </form>

  <div id="progressBar" style="display:none;">
    Файл загружается на сервер.<br />
    <div style="background-color:White;border:1px solid #999999;height:20px;width:250px;">
      <div id="progressFill" style="width:1px;height:20px;background-color:Blue;"></div>
    </div>
    Пожалуйста, подождите...
    <table cellpadding="2" cellspacing="1" border="1">
      <tr><td>Передано, байт:</td><td id="sent">0</td></tr>
      <tr><td>Всего, байт:</td><td id="total">0</td></tr>
    </table>
  </div>

  <div id="debug" style="margin-top:24px;font-style:italic;"></div>

  <iframe id="uploadFrame" name="uploadFrame" src="" style="display:none;"></iframe>

  <script language="javascript" type="text/javascript">
    var allowCheckStatus = false;

    function StartUpload() {
      AddLog("Начало отправки файла на сервер...");

      $("#uploadForm").hide();
      $("#progressBar").show();

      allowCheckStatus = true;
      window.setTimeout(CheckStatus, 1000);
    }

    function CheckStatus() {
      if (allowCheckStatus) {
        AddLog("Проверка состояния загрузки файла...");

        allowCheckStatus = false;
        $.post("/FileUploadCheck.aspx", CheckStatus_Complete)
      }
      window.setTimeout(CheckStatus, 1000);
    }
    function CheckStatus_Complete(result) {
      if (result.FileUploded) {
        AddLog("Файл успешно загружен!");

        alert("Файл успешно загружен!");

        $("#uploadForm").html('<input type="file" name="file1" /> <input type="submit" value="Отправить" />');
        $("#uploadForm").show();
        $("#progressBar").hide();
      }
      else {
        var percentUploaded = (result.BytesReceived * 100) / result.FileLength;
        $("#progressFill").width(Math.round((250 * percentUploaded) / 100) + "px");

        $("#sent").html(result.BytesReceived);
        $("#total").html(result.FileLength);

        allowCheckStatus = true;

        AddLog("Файл еще загружается. Загружено " + result.BytesReceived + " байт из " + result.FileLength + " байт.");
      }
    }

    function AddLog(msg) {
      $("#debug").append(msg + "<br />");
    }

    $(document).ready(function () {
      $("#uploadForm").bind("submit", StartUpload);
    });
  </script>
</asp:Content>
